import { isRef as e, shallowRef as t, toValue as n } from "vue";
typeof WorkerGlobalScope < "u" && globalThis instanceof WorkerGlobalScope;
function r(r = !1, i = {}) {
	let { truthyValue: a = !0, falsyValue: o = !1 } = i, s = e(r), c = t(r);
	function l(e) {
		if (arguments.length) return c.value = e, c.value;
		{
			let e = n(a);
			return c.value = c.value === e ? n(o) : e, c.value;
		}
	}
	return s ? l : [c, l];
}
//#endregion
export { r as t };
